package domain

type AlibabaHmMarketingItempoolActivityCreateSeparatePricingDiscountRule struct {
	/*
	   是否为打折类型     */
	IsDiscountRate *bool `json:"is_discount_rate,omitempty" `

	/*
	   是否为减钱类型     */
	IsDecrease *bool `json:"is_decrease,omitempty" `

	/*
	   是否为一口价类型     */
	IsFixPrice *bool `json:"is_fix_price,omitempty" `
}

func (s *AlibabaHmMarketingItempoolActivityCreateSeparatePricingDiscountRule) SetIsDiscountRate(v bool) *AlibabaHmMarketingItempoolActivityCreateSeparatePricingDiscountRule {
	s.IsDiscountRate = &v
	return s
}
func (s *AlibabaHmMarketingItempoolActivityCreateSeparatePricingDiscountRule) SetIsDecrease(v bool) *AlibabaHmMarketingItempoolActivityCreateSeparatePricingDiscountRule {
	s.IsDecrease = &v
	return s
}
func (s *AlibabaHmMarketingItempoolActivityCreateSeparatePricingDiscountRule) SetIsFixPrice(v bool) *AlibabaHmMarketingItempoolActivityCreateSeparatePricingDiscountRule {
	s.IsFixPrice = &v
	return s
}
